## padthv1 0.8.5

=== debian/changelog ===
padthv1 (0.8.5-1) unstable; urgency=medium

  * New upstream version 0.8.5
  * Bump Standards.
  * Patch refreshed.
  * Use secure uri in watch file.
  * Fix install of metainfo files.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Nov 2017 11:05:58 +0100

padthv1 (0.8.4-1) unstable; urgency=medium

  * Initial release. (Closes: #872972)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 23 Aug 2017 11:20:52 +0200
