=== debian/control ===
Source: padthv1
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper (>= 10~),
 libtool,
 libx11-dev,
 qtbase5-dev,
 qttools5-dev-tools,
 ladspa-sdk,
 lv2-dev,
 libsndfile1-dev,
 libasound2-dev,
 libjack-dev,
 libfftw3-dev,
 liblo-dev,
Homepage: https://padthv1.sourceforge.io/
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/padthv1.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/padthv1.git

Package: padthv1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 padthv1-common (= ${binary:Version}),
Recommends:
 jackd
Description: old-school polyphonic additive synthesizer - standalone app
 padthv1 is an old-school polyphonic additive synthesizer
 with stereo effects. It is provided in both forms
 of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.
 .
 This package provides the standalone app.

Package: padthv1-lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 padthv1-common (= ${binary:Version}),
Provides:
 lv2-plugin
Description: old-school polyphonic additive synthesizer - LV2 plugin
 padthv1 is an old-school polyphonic additive synthesizer
 with stereo effects. It is provided in both forms
 of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.
 .
 This package provides the LV2 plugin.

Package: padthv1-common
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: old-school polyphonic additive synthesizer - common files
 padthv1 is an old-school polyphonic additive synthesizer
 with stereo effects. It is provided in both forms
 of a LV2 plugin and a pure stand-alone JACK
 client with JACK-session and both JACK MIDI and ALSA
 MIDI input support.
 .
 This package provides files shared by both the LV2 plugin and the standalone
 application.
