## padthv1 0.8.6

=== debian/changelog ===
padthv1 (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * Bump Standards.
  * Set dh/compat 11.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 29 Dec 2017 07:20:24 +0100
