## padthv1 0.9.12

=== debian/changelog ===
padthv1 (0.9.12-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:30 +0100

padthv1 (0.9.12-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.9.12

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun]
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.4.1
    + Add libjack-jackd2-dev as optional build dependency
    + Remove obsolete ${shlibs:Depends} from padthv1-common
  * d/copyright:
    + Add FSFAP license
    + Update years and http to https
  * d/padthv1-common.install: Drop so.* files
  * d/padthv1-lv2.install: Fix install path
  * d/padthv1.manpages: Add french translation
  * d/patches/02-fix_install_path.patch: Drop, obsolete

  [ Sebastian Ramacher ]
  * debian/padthv1.mime: Fix quoted-placeholder-in-mailcap-entry

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 07 Jan 2020 21:59:19 +0100
