=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: padthv1
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  libtool,
  libx11-dev,
  qtbase5-dev,
@@ -14,13 +14,13 @@
  lv2-dev,
  libsndfile1-dev,
  libasound2-dev,
- libjack-dev,
+ libjack-dev | libjack-jackd2-dev,
  libfftw3-dev,
  liblo-dev,
 Homepage: https://padthv1.sourceforge.io/
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/padthv1.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/padthv1.git
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/padthv1.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/padthv1
 
 Package: padthv1
 Architecture: any
@@ -60,7 +60,6 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends},
 Description: old-school polyphonic additive synthesizer - common files
  padthv1 is an old-school polyphonic additive synthesizer
  with stereo effects. It is provided in both forms
