=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 
 override_dh_auto_install:
 	cp $(CURDIR)/padthv1.1 $(CURDIR)/padthv1_jack.1
+	cp $(CURDIR)/padthv1.fr.1 $(CURDIR)/padthv1_jack.fr.1
 	dh_auto_install
 	cp $(CURDIR)/debian/tmp/usr/share/mime/packages/padthv1.xml $(CURDIR)/debian/padthv1-common.sharedmimeinfo
