=== src/CMakeLists.txt ===
--- 
+++ 
@@ -80,6 +80,7 @@
 set (FORMS_UI
   padthv1widget.ui
   padthv1widget_control.ui
+  padthv1widget_palette.ui
   padthv1widget_config.ui
 )
 
@@ -174,9 +175,9 @@
 
 if (UNIX AND NOT APPLE AND NOT CONFIG_DEBUG)
   add_custom_command(TARGET ${NAME}_lv2  POST_BUILD
-    COMMAND strip -v lib${NAME}_lv2.so)
+    COMMAND strip lib${NAME}_lv2.so)
   add_custom_command(TARGET ${NAME}_jack POST_BUILD
-    COMMAND strip -v ${NAME}_jack)
+    COMMAND strip ${NAME}_jack)
 endif ()
