=== debian/changelog ===
padthv1 (0.9.16-1) unstable; urgency=medium

  * New upstream version 0.9.16

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 09 Aug 2020 17:12:50 +0200

padthv1 (0.9.15-1) unstable; urgency=medium

  * New upstream version 0.9.15
  * Mark padthv1-common as Multi-Arch: foreign
  * Change padthv1-common Architecture to all
  * Make padthv1 and padthv1-lv2 depend on source:Version and not binary

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 13 Jul 2020 21:35:08 +0200

padthv1 (0.9.14-1) unstable; urgency=medium

  * New upstream version 0.9.14
  * Install usr/share/mime/packages
  * Update cross build patch
  * Bump dh-compat to 13
  * Add false positives to d/not-installed
  * d/rules: Remove obsolete linker flag

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 09 May 2020 23:35:16 +0200

padthv1 (0.9.13-1) unstable; urgency=medium

  * New upstream version 0.9.13
  * Update cross build patch
  * d/upstream/metadata: Add Archive and remove name
  * Update d/copyright year

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 29 Mar 2020 22:53:08 +0200

padthv1 (0.9.12-2) unstable; urgency=medium

  * Use QMAKE_STRIP instead of hardcoding strip
  * Drop patch 03, obsolete
  * Bump S-V to 4.5.0
  * Add me as uploader
  * Set RRR: no
  * d/rules: Add renamed french manpage to dh_clean
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Mar 2020 12:23:29 +0100
