=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libtool,
  libx11-dev,
  qtbase5-dev,
@@ -18,16 +19,17 @@
  libfftw3-dev,
  liblo-dev,
 Homepage: https://padthv1.sourceforge.io/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/padthv1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/padthv1
+Rules-Requires-Root: no
 
 Package: padthv1
 Architecture: any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- padthv1-common (= ${binary:Version}),
+ padthv1-common (= ${source:Version}),
 Recommends:
  jackd
 Description: old-school polyphonic additive synthesizer - standalone app
@@ -44,7 +46,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- padthv1-common (= ${binary:Version}),
+ padthv1-common (= ${source:Version}),
 Provides:
  lv2-plugin
 Description: old-school polyphonic additive synthesizer - LV2 plugin
@@ -57,7 +59,8 @@
  This package provides the LV2 plugin.
 
 Package: padthv1-common
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: old-school polyphonic additive synthesizer - common files
