=== debian/changelog ===
padthv1 (0.9.18-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 02 Nov 2020 12:41:02 -0500

padthv1 (0.9.18-1) unstable; urgency=medium

  * New upstream version 0.9.18
  * Add myself to the d/ section in d/copyright
  * Update d/not-installed
  * d/tests/control: Remove allow-stderr and add superficial to Restrictions

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 28 Oct 2020 20:13:19 +0100

padthv1 (0.9.17-1) unstable; urgency=medium

  * New upstream version 0.9.17
  * Add a simple autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 09 Sep 2020 21:57:56 +0200
