=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -37,3 +35,4 @@
 	dh_clean
 	rm -f $(CURDIR)/debian/padthv1-common.sharedmimeinfo
 	rm -f $(CURDIR)/padthv1_jack.1
+	rm -f $(CURDIR)/padthv1_jack.fr.1
