## padthv1 0.9.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-project(PADTHV1)
+project(padthv1)
 
 cmake_minimum_required(VERSION 3.1)
 
-set (VERSION "0.9.18")
+set (VERSION "0.9.19")
 
 set (CONFIG_VERSION ${VERSION})
 execute_process (
@@ -100,10 +100,18 @@
   cmake_policy (SET CMP0075 NEW)
 endif ()
 
+# Fix for CXX_VISIBILITY_PRESET policy.
+if (POLICY CMP0063)
+  cmake_policy (SET CMP0063 NEW)
+  set (CMAKE_CXX_VISIBILITY_PRESET hidden)
+  set (CMAKE_VISIBILITY_INLINES_HIDDEN 1)
+endif ()
+
 # Check for Qt
-find_package (Qt5 REQUIRED COMPONENTS Core Gui Widgets Xml)
-
-#find_package (Qt5LinguistTools)
+find_package (QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml)
+
+#find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
 
 include (CheckIncludeFile)
 include (CheckIncludeFiles)
