=== debian/changelog ===
padthv1 (0.9.19-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 19 Jan 2021 00:27:48 -0500

padthv1 (0.9.19-1) unstable; urgency=medium

  * New upstream version 0.9.19
  * Enable debugging
  * Update d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 22 Dec 2020 00:47:16 +0100

padthv1 (0.9.18-2) unstable; urgency=medium

  * Re-add allow-stderr for stderr output
  * Bump S-V to 4.5.1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 13 Dec 2020 17:21:00 +0100
