=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libfftw3-dev,
  liblo-dev,
 Homepage: https://padthv1.sourceforge.io/
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/padthv1.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/padthv1
 Rules-Requires-Root: no
