=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 EXTRA_CONFIGURE_ARGS = \
+ --enable-debug \
  --enable-jack \
  --enable-jack-midi \
  --enable-jack-session \
@@ -22,6 +23,9 @@
 %:
 	dh $@
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(EXTRA_CONFIGURE_ARGS)
